APIWebhooks
Create a webhook endpoint
Create an endpoint and return its signing secret once
POST https://api.sazabi.com/v1/webhooks
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/webhooks" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "url": "http://example.com" }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "description": "string", "url": "http://example.com", "status": "active", "authHeaderName": "string", "signingSecretRotatedAt": "2019-08-24T14:15:22Z", "consecutiveFailures": 0, "disabledAt": "2019-08-24T14:15:22Z", "disabledReason": "string", "createdAt": "2019-08-24T14:15:22Z", "signingSecret": "string"}